An API that connects multiple Microsoft services, enabling data access and automation across platforms
Get email of the creator of the event in the shared calendar
Shweta Agrawal
0
Reputation points
We use below three api's in our flow.
We need to get the detail of the mail Id through which the event is created in the shared calendar. These api don't return those detail by default in the response.
Question: Is there any api or work-around to get the detail of the mail Id through which the event is created in the shared calendar?
curl -X GET "https://graph.microsoft.com/v1.0/users/<CALENDAR_ID>/events/delta?\$select=id,subject,bodyPreview,start,end,location,attendees,isAllDay,isCancelled,seriesMasterId,type,recurrence,organizer,lastModifiedDateTime" \
-H "Authorization: Bearer <TOKEN>" \
-H "Prefer: odata.maxpagesize=50, IdType=\"ImmutableId\""
curl -X GET "https://graph.microsoft.com/v1.0/users/<CALENDAR_ID>/calendarView?startDateTime=<START_RFC3339>&endDateTime=<END_RFC3339>&\$select=id,subject,bodyPreview,start,end,location,attendees,isAllDay,isCancelled,seriesMasterId,type,recurrence,organizer,lastModifiedDateTime" \
-H "Authorization: Bearer <TOKEN>" \
-H "Prefer: odata.maxpagesize=50, IdType=\"ImmutableId\""
curl -X GET "https://graph.microsoft.com/v1.0/users/<CALENDAR_ID>/events/<MASTER_EVENT_ID>/instances?startDateTime=<START_RFC3339>&endDateTime=<END_RFC3339>&\$select=id,subject,start,end,location,attendees,isAllDay,isCancelled,seriesMasterId,type,recurrence,lastModifiedDateTime" \
-H "Authorization: Bearer <TOKEN>" \
-H "Prefer: odata.maxpagesize=50, IdType=\"ImmutableId\""
Microsoft Security | Microsoft Graph
Microsoft Security | Microsoft Graph
Sign in to answer